nvme_ns_mgmt_create(2)

NAME
nvme_ns_mgmt_create - Create a non attached namespace

SYNOPSIS
int nvme_ns_mgmt_create (int fd , struct nvme_id_ns *ns , __u32 *nsid , __u32 timeout , __u8 csi , struct nvme_ns_mgmt_host_sw_specified *data );

ARGUMENTS

fd  File descriptor of nvme device

ns  Namespace identification that defines ns creation parameters

nsid
    On success, set to the namespace id that was created

timeout
    Override the default timeout to this value in milliseconds; set to 0 to use the system default.

csi Command Set Identifier

data
    Host Software Specified Fields that defines ns creation parameters

DESCRIPTION
On successful creation, the namespace exists in the subsystem, but is not attached to any controller. Use the nvme_ns_attach_ctrls to assign the namespace to one or more controllers.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.